GDAL-MDIM-INFO(1)

NAME
gdal-mdim-info - Get information on a multidimensional dataset

Added in version 3.11.

SYNOPSIS

            Usage: gdal mdim info [OPTIONS] <INPUT>

            Return information on a multidimensional dataset.

            Positional arguments:
              -i, --dataset, --input <INPUT>       Input multidimensional raster dataset [required]

            Common Options:
              -h, --help                           Display help message and exit
              --json-usage                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>               Configuration option [may be repeated]

            Options:
              --detailed                           Most verbose output. Report attribute data types and array values.
              --array <ARRAY>                      Name of the array, used to restrict the output to the specified array.
              --limit <LIMIT>                      Number of values in each dimension that is used to limit the display of array values.
              --array-option <KEY>=<VALUE>         Option passed to GDALGroup::GetMDArrayNames() to filter reported arrays. [may be repeated]
              --stats                              Read and display image statistics.

            Advanced Options:
              --oo, --open-option <KEY>=<VALUE>    Open options [may be repeated]
              --if, --input-format <INPUT-FORMAT>  Input formats [may be repeated]

DESCRIPTION

gdal mdim info lists various information about a GDAL supported multidimensional dataset.

The following items will be reported (when known) as JSON:

    •   The format driver used to access the file.

    •   Hierarchy of groups

    •   Group attributes

    •

        Arrays:

            •   Name

            •   Dimension name, sizes, indexing variable

            •   Data type

            •   Attributes

            •   SRS

            •   Nodata value

            •   Units

            •   Statistics (if requested)

The following options are available:

  Standard options

    --detailed
        Most verbose output. Report attribute data types and array values.

    --array <array_name>
        Name of the array used to restrict the output to the specified array.

        NOTE:
            Bash completion for --array is possible if the dataset name is specified before.

    --limit <number>
        Number of values in each dimension that is used to limit the display of array values. By default, unlimited. Only taken into account if used with -detailed.

    --array-option <NAME>=<VALUE>
        Option passed to GDALGroup::GetMDArrayNames() to filter reported arrays. Such option is format specific. Consult driver documentation. This option may be used several times.

        NOTE:
            Bash completion for --array-option is possible if the dataset name is specified before.

    --stats
        Read and display array statistics. Force computation if no statistics are stored in an array.

  Advanced options

    --oo, --open-option <NAME>=<VALUE>
        Dataset open option (format specific).

        May be repeated.

    --if, --input-format <format>
        Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

        May be repeated.

EXAMPLES

  Example 1: Getting information on the file netcdf-4d.nc as JSON output

            $ gdal mdim info netcdf-4d.nc

            {
              "type": "group",
              "name": "/",
              "attributes": {
                "Conventions": "CF-1.5"
              },
              "dimensions": [
                {
                  "name": "levelist",
                  "full_name": "/levelist",
                  "size": 2,
                  "type": "VERTICAL",
                  "indexing_variable": "/levelist"
                },
                {
                  "name": "longitude",
                  "full_name": "/longitude",
                  "size": 10,
                  "type": "HORIZONTAL_X",
                  "direction": "EAST",
                  "indexing_variable": "/longitude"
                },
                {
                  "name": "latitude",
                  "full_name": "/latitude",
                  "size": 10,
                  "type": "HORIZONTAL_Y",
                  "direction": "NORTH",
                  "indexing_variable": "/latitude"
                },
                {
                  "name": "time",
                  "full_name": "/time",
                    "size": 4,
                  "type": "TEMPORAL",
                  "indexing_variable": "/time"
                  }
              ],
              "arrays": {
                "levelist": {
                  "datatype": "Int32",
                  "dimensions": [
                      "/levelist"
                    ],
                  "attributes": {
                    "long_name": "pressure_level"
                  },
                  "unit": "millibars"
                },
                "longitude": {
                  "datatype": "Float32",
                  "dimensions": [
                    "/longitude"
                  ],
                  "attributes": {
                    "standard_name": "longitude",
                    "long_name": "longitude",
                    "axis": "X"
                  },
                  "unit": "degrees_east"
                },
                "latitude": {
                  "datatype": "Float32",
                  "dimensions": [
                    "/latitude"
                  ],
                  "attributes": {
                    "standard_name": "latitude",
                    "long_name": "latitude",
                    "axis": "Y"
                  },
                  "unit": "degrees_north"
                },
                "time": {
                  "datatype": "Float64",
                  "dimensions": [
                    "/time"
                  ],
                  "attributes": {
                    "standard_name": "time",
                    "calendar": "standard"
                  },
                  "unit": "hours since 1900-01-01 00:00:00"
                },
                "t": {
                  "datatype": "Int32",
                  "dimensions": [
                    "/time",
                    "/levelist",
                    "/latitude",
                    "/longitude"
                  ],
                  "nodata_value": -32767
                }
              },
              "structural_info": {
                "NC_FORMAT": "CLASSIC"
              }
            }

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026